This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1250934 - fact that cachepool and origin must belong to one VG could/should be in the man...
fact that cachepool and origin must belong to one VG could/should be in the m...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.1
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: LVM and device-mapper development team
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 06:44 EDT by lejeczek
Modified: 2015-08-10 18:17 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-06 11:08:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2015-08-06 06:44:08 EDT
Description of problem:

..no?
it's important fact, would this had been in man I'd have saved some time.
Probably somewhere at the top.

regards

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Marian Csontos 2015-08-10 10:41:02 EDT
This applies to all types of LVs and I am not sure this deserves a special treatment for caching or whether it is desirable to repeat this for mirrors, thin-pools.

This should be considered a corner stone of LVM. Perhaps a lvm(7) (or LVM(7)) man page would be a better place. Something like the LVM-HOWTO.

(Reopen and create a documentation tracker bug) or (keep closed)?
Comment 4 lejeczek 2015-08-10 12:57:41 EDT
having no knowledge of inner workings of LVM one would presume, as I did that a cachepool is somehow special and maybe it's even better! to keep it on a separate.

I'd put it there for each man, I may skip, again as I did other docs and try the shortest possible path, like everybody would do, straight to the goal, so I only looked at lvmcache.

I know you guys do not think about these things for it's like a gravity, for the rest of us - it can save a heck lot of time.
Comment 5 David Teigland 2015-08-10 13:02:01 EDT
Recently added the last sentence in the description:
http://man7.org/linux/man-pages/man7/lvmcache.7.html
Comment 6 Steven J. Levine 2015-08-10 17:30:36 EDT
I have added that same sentence to the description of LVM cache volumes in the LVM manual.
Comment 7 Steven J. Levine 2015-08-10 18:17:24 EDT
To clarify Comment 6: This will be in the 7.2 version of the document, and the 6.8 version going forward (or if the 6.7 version gets repushed to the Customer Portal).

Note You need to log in before you can comment on or make changes to this bug.